[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TPipeReasons

Set type used to store values from TPipeReason.

## Declaration

Source position: interfacebase.pp line 44

`type TPipeReasons = set of (`
`prDataAvailable,` |  | Data is available as input for the pipe.
`prBroken,` |  | The pipe was closed or did not provide expected data.
`prCanWrite` |  | Data is available to be written as output.
`);`

## See also

TPipeReason |  | Represents reasons that a pipe event was signalled.
TPipeEvent |  | Specifies an event handler signalled for a pipe handle in a widgetset object.